#!/bin/bash

if [[ "$UID" != 0 ]]; then
    echo "USER NOT ROOT"
    sudo $0
    exit
else
    echo "USER IS ROOT"
fi

PWD=$(dirname $0)

THEME_PATH="/usr/share/plasma/desktoptheme"

if [[ ! -d "$THEME_PATH" ]];then
    mkdir -p "$THEME_PATH"
fi

THEME_NAME="Melawy"

rm -rf $THEME_PATH/$THEME_NAME

cp -vrf --remove-destination --no-dereference --preserve=links "$PWD/$THEME_NAME" "$THEME_PATH/"


rm -rf "/usr/share/aurorae/themes/$THEME_NAME-dark"

cp -vrf --remove-destination --no-dereference --preserve=links "$PWD/aurorae/themes/$THEME_NAME-dark" "/usr/share/aurorae/themes/"


rm -rf "/usr/share/Kvantum/$THEME_NAME-dark"

cp -vrf --remove-destination --no-dereference --preserve=links "$PWD/Kvantum/$THEME_NAME-dark" "/usr/share/Kvantum/"
